UF_CURVE_create_point(point,&tagPoint);//tangent 切线; 切线 主法线 副法线两两垂直UF_CURVE_line_t linePoint; tag_t tagLine; UF_VEC3_copy(point,linePoint.start_point); linePoint.end_point[0] = point[0] + tangent[0]; linePoint.end_point[1] = point[1] + tangent[1]; linePoint.e...
#define UF_CURVE_TANGENT 0 /* UF_CURVE_create_bridge_curve */ #define UF_CURVE_CURVATURE 1 /* UF_CURVE_create_bridge_curve */ #define UF_CURVE_SLOPE_NONE -1 /* UF_CURVE_ASK_SPLINE_THRU_PTS */ #define UF_CURVE_SLOPE_AUTO 0 /* UF_CURVE_ASK_SPLINE_THRU_PTS */ ...
UF_VEC3_unitize(tangent, 1E-6, &douLenth, tangent); UF_VEC3_add(lineP.start_point, tangent, lineP.end_point); UF_CURVE_create_line(&lineP, &tagLine); UF_OBJ_set_color(tagLine,186); UF_VEC3_unitize(p_norm, 1E-6, &douLenth, p_norm); UF_VEC3_add(lineP.start_point, p_...
UF_CURVE_constraint_type_t Overview This enum is used to specify the sub type of Arc .Data MembersUF_CURVE_constraint_none = -1no constraint definedUF_CURVE_coincidentCoincident with a pointUF_CURVE_tangentTangent to a curveUF_CURVE_normalNormal...
#define UF_CURVE_TANGENT 0 /* UF_CURVE_create_bridge_curve */ #define UF_CURVE_CURVATURE 1 /* UF_CURVE_create_bridge_curve */ #define UF_CURVE_SLOPE_NONE -1 /* UF_CURVE_ASK_SPLINE_THRU_PTS */ #define UF_CURVE_SLOPE_AUTO 0 /* UF_CURVE_ASK_SPLINE_THRU_PTS */ ...
UF_MODL_create_c_bore_hole UF_MODL_create_c_sunk_hole UF_MODL_create_chamfer倒C角、倒斜角、倒角 UF_MODL_create_circular_iset UF_MODL_create_circular_pattern_face UF_MODL_create_cone UF_MODL_create_cone1创建圆锥特征 UF_MODL_create_curve_from_edge ...
between curve min and max parameters max_curva[1-3] = point coordinates max_curva[4] = curvature value */ int * status /* <O> 1 if the curve has constant curvature - in this case, only the curvature value is returned 0 a best (not necessarily unique) maximum curvature poi...